<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref5.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Encoding::Code - Synopsis::PTree::Encoding::delete_operator</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Encoding::Code - Synopsis::PTree::Encoding::delete_operator</h1><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mCode" /><h2 >Typedef Synopsis::PTree::Encoding::Code</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Code" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#98">Synopsis/PTree/Encoding.hh:98</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#104">Synopsis/PTree/Encoding.hh:104</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#189">Synopsis/PTree/Encoding.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mEncoding_l_r" /><h2 >Constructor Synopsis::PTree::Encoding::Encoding&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#103">Synopsis/PTree/Encoding.hh:103</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mEncoding_lconst.Code_A_r" /><h2 >Constructor Synopsis::PTree::Encoding::Encoding&#40;const Code&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.Code_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#104">Synopsis/PTree/Encoding.hh:104</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mEncoding_lconst.char_S_r" /><h2 >Constructor Synopsis::PTree::Encoding::Encoding&#40;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#105">Synopsis/PTree/Encoding.hh:105</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mEncoding_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::Encoding::Encoding&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#106">Synopsis/PTree/Encoding.hh:106</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mEncoding_literator_citerator_r" /><h2 >Constructor Synopsis::PTree::Encoding::Encoding&#40;iterator&#44;iterator&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_literator_citerator_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#107">Synopsis/PTree/Encoding.hh:107</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_madelete_operator" /><h2 >Data member Synopsis::PTree::Encoding::adelete_operator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#adelete_operator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#198">Synopsis/PTree/Encoding.hh:198</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mampersand" /><h2 >Data member Synopsis::PTree::Encoding::ampersand</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#ampersand" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_manew_operator" /><h2 >Data member Synopsis::PTree::Encoding::anew_operator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#anew_operator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_manonymous_l_r" /><h2 >Member function Synopsis::PTree::Encoding::anonymous&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#anonymous_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#143">Synopsis/PTree/Encoding.hh:143</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mappend_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::append&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append_with_length&#40;const Encoding&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mappend_lconst.char_S_csize_t_r" /><h2 >Member function Synopsis::PTree::Encoding::append&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#131">Synopsis/PTree/Encoding.hh:131</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#133">Synopsis/PTree/Encoding.hh:133</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::append_with_length&#40;const char*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#140">Synopsis/PTree/Encoding.hh:140</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#simple_const_l_r" >Synopsis::PTree::Encoding::simple_const&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mappend_lunsigned.char_r" /><h2 >Member function Synopsis::PTree::Encoding::append&#40;unsigned char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#append_lunsigned.char_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#130">Synopsis/PTree/Encoding.hh:130</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#133">Synopsis/PTree/Encoding.hh:133</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.char_S_csize_t_r" >Synopsis::PTree::Encoding::append_with_length&#40;const char*&#44;size_t&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.Encoding_A_r" >Synopsis::PTree::Encoding::append_with_length&#40;const Encoding&amp;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#154">Synopsis/PTree/Encoding.hh:154</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#start_func_args_l_r" >Synopsis::PTree::Encoding::start_func_args&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#155">Synopsis/PTree/Encoding.hh:155</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_func_args_l_r" >Synopsis::PTree::Encoding::end_func_args&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#156">Synopsis/PTree/Encoding.hh:156</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#void__l_r" >Synopsis::PTree::Encoding::void_&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#157">Synopsis/PTree/Encoding.hh:157</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#ellipsis_arg_l_r" >Synopsis::PTree::Encoding::ellipsis_arg&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#158">Synopsis/PTree/Encoding.hh:158</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#no_return_type_l_r" >Synopsis::PTree::Encoding::no_return_type&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#159">Synopsis/PTree/Encoding.hh:159</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#value_temp_param_l_r" >Synopsis::PTree::Encoding::value_temp_param&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mappend_with_length_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::append_with_length&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mappend_with_length_lconst.char_S_csize_t_r" /><h2 >Member function Synopsis::PTree::Encoding::append_with_length&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#133">Synopsis/PTree/Encoding.hh:133</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_marray_l_r" /><h2 >Member function Synopsis::PTree::Encoding::array&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#array_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#150">Synopsis/PTree/Encoding.hh:150</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_marray_lunsigned.long_r" /><h2 >Member function Synopsis::PTree::Encoding::array&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#array_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#151">Synopsis/PTree/Encoding.hh:151</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mat_lsize_t_rconst" /><h2 >Member function Synopsis::PTree::Encoding::at&#40;size_t&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#at_lsize_t_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#116">Synopsis/PTree/Encoding.hh:116</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mbegin_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::begin&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#begin_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#113">Synopsis/PTree/Encoding.hh:113</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#115">Synopsis/PTree/Encoding.hh:115</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding.html#front_l_rconst" >Synopsis::PTree::Encoding::front&#40;&#41;const</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#212">Synopsis/PTree/Encoding.hh:212</a>: in Synopsis::PTree::operator&lt;&lt;&#40;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mbool_t" /><h2 >Data member Synopsis::PTree::Encoding::bool_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#bool_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mcast_operator_lconst.Encoding_A_r" /><h2 >Member function Synopsis::PTree::Encoding::cast_operator&#40;const Encoding&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#cast_operator_lconst.Encoding_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#149">Synopsis/PTree/Encoding.hh:149</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_t" /><h2 >Data member Synopsis::PTree::Encoding::char_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#char_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits" /><h2 >Struct Synopsis::PTree::Encoding::char_traits</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#70">Synopsis/PTree/Encoding.hh:70</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#72">Synopsis/PTree/Encoding.hh:72</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#char_type" >char_type</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#73">Synopsis/PTree/Encoding.hh:73</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#int_type" >int_type</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#74">Synopsis/PTree/Encoding.hh:74</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#pos_type" >pos_type</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#75">Synopsis/PTree/Encoding.hh:75</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#off_type" >off_type</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#76">Synopsis/PTree/Encoding.hh:76</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#state_type" >state_type</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#78">Synopsis/PTree/Encoding.hh:78</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#assign_lchar_type_A_cconst.char_type_A_r" >assign&#40;char_type&amp;&#44;const char_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#79">Synopsis/PTree/Encoding.hh:79</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_lconst.char_type_A_cconst.char_type_A_r" >eq&#40;const char_type&amp;&#44;const char_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#80">Synopsis/PTree/Encoding.hh:80</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#lt_lconst.char_type_A_cconst.char_type_A_r" >lt&#40;const char_type&amp;&#44;const char_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#81">Synopsis/PTree/Encoding.hh:81</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#compare_lconst.char_type_S_cconst.char_type_S_cstd_msize_t_r" >compare&#40;const char_type*&#44;const char_type*&#44;std::size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#82">Synopsis/PTree/Encoding.hh:82</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#length_lconst.char_type_S_r" >length&#40;const char_type*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#83">Synopsis/PTree/Encoding.hh:83</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#find_lconst.char_type_S_cstd_msize_t_cconst.char_type_A_r" >find&#40;const char_type*&#44;std::size_t&#44;const char_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#85">Synopsis/PTree/Encoding.hh:85</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#move_lchar_type_S_cconst.char_type_S_cstd_msize_t_r" >move&#40;char_type*&#44;const char_type*&#44;std::size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#87">Synopsis/PTree/Encoding.hh:87</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#copy_lchar_type_S_cconst.char_type_S_cstd_msize_t_r" >copy&#40;char_type*&#44;const char_type*&#44;std::size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#89">Synopsis/PTree/Encoding.hh:89</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#assign_lchar_type_S_cstd_msize_t_cchar_type_r" >assign&#40;char_type*&#44;std::size_t&#44;char_type&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#91">Synopsis/PTree/Encoding.hh:91</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_char_type_lconst.int_type_A_r" >to_char_type&#40;const int_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#92">Synopsis/PTree/Encoding.hh:92</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_int_type_lconst.char_type_A_r" >to_int_type&#40;const char_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#93">Synopsis/PTree/Encoding.hh:93</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_int_type_lconst.int_type_A_cconst.int_type_A_r" >eq_int_type&#40;const int_type&amp;&#44;const int_type&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#94">Synopsis/PTree/Encoding.hh:94</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eof_l_r" >eof&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#not_eof_lconst.int_type_A_r" >not_eof&#40;const int_type&amp;&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_massign_lchar_type_A_cconst.char_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::assign&#40;char_type&amp;&#44;const char_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#assign_lchar_type_A_cconst.char_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#78">Synopsis/PTree/Encoding.hh:78</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_massign_lchar_type_S_cstd_msize_t_cchar_type_r" /><h2 >Synopsis::PTree::Encoding::char_traits::assign&#40;char_type*&#44;std::size_t&#44;char_type&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#89">Synopsis/PTree/Encoding.hh:89</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mchar_type" /><h2 >Typedef Synopsis::PTree::Encoding::char_traits::char_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#char_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#72">Synopsis/PTree/Encoding.hh:72</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#78">Synopsis/PTree/Encoding.hh:78</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#78">Synopsis/PTree/Encoding.hh:78</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#79">Synopsis/PTree/Encoding.hh:79</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#79">Synopsis/PTree/Encoding.hh:79</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#80">Synopsis/PTree/Encoding.hh:80</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#80">Synopsis/PTree/Encoding.hh:80</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#81">Synopsis/PTree/Encoding.hh:81</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#81">Synopsis/PTree/Encoding.hh:81</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#82">Synopsis/PTree/Encoding.hh:82</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#83">Synopsis/PTree/Encoding.hh:83</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#83">Synopsis/PTree/Encoding.hh:83</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#83">Synopsis/PTree/Encoding.hh:83</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#85">Synopsis/PTree/Encoding.hh:85</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#85">Synopsis/PTree/Encoding.hh:85</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#85">Synopsis/PTree/Encoding.hh:85</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#87">Synopsis/PTree/Encoding.hh:87</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#87">Synopsis/PTree/Encoding.hh:87</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#87">Synopsis/PTree/Encoding.hh:87</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#89">Synopsis/PTree/Encoding.hh:89</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#89">Synopsis/PTree/Encoding.hh:89</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#89">Synopsis/PTree/Encoding.hh:89</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#91">Synopsis/PTree/Encoding.hh:91</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#92">Synopsis/PTree/Encoding.hh:92</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mcompare_lconst.char_type_S_cconst.char_type_S_cstd_msize_t_r" /><h2 >Synopsis::PTree::Encoding::char_traits::compare&#40;const char_type*&#44;const char_type*&#44;std::size_t&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#81">Synopsis/PTree/Encoding.hh:81</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mcopy_lchar_type_S_cconst.char_type_S_cstd_msize_t_r" /><h2 >Synopsis::PTree::Encoding::char_traits::copy&#40;char_type*&#44;const char_type*&#44;std::size_t&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#87">Synopsis/PTree/Encoding.hh:87</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_meof_l_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::eof&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eof_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#94">Synopsis/PTree/Encoding.hh:94</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#not_eof_lconst.int_type_A_r" >Synopsis::PTree::Encoding::char_traits::not_eof&#40;const int_type&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_meq_lconst.char_type_A_cconst.char_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::eq&#40;const char_type&amp;&#44;const char_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_lconst.char_type_A_cconst.char_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#79">Synopsis/PTree/Encoding.hh:79</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_meq_int_type_lconst.int_type_A_cconst.int_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::eq_int_type&#40;const int_type&amp;&#44;const int_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#eq_int_type_lconst.int_type_A_cconst.int_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#93">Synopsis/PTree/Encoding.hh:93</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#not_eof_lconst.int_type_A_r" >Synopsis::PTree::Encoding::char_traits::not_eof&#40;const int_type&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mfind_lconst.char_type_S_cstd_msize_t_cconst.char_type_A_r" /><h2 >Synopsis::PTree::Encoding::char_traits::find&#40;const char_type*&#44;std::size_t&#44;const char_type&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#83">Synopsis/PTree/Encoding.hh:83</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mint_type" /><h2 >Typedef Synopsis::PTree::Encoding::char_traits::int_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#int_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#73">Synopsis/PTree/Encoding.hh:73</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#91">Synopsis/PTree/Encoding.hh:91</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#92">Synopsis/PTree/Encoding.hh:92</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#93">Synopsis/PTree/Encoding.hh:93</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#93">Synopsis/PTree/Encoding.hh:93</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#94">Synopsis/PTree/Encoding.hh:94</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mlength_lconst.char_type_S_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::length&#40;const char_type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#length_lconst.char_type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#82">Synopsis/PTree/Encoding.hh:82</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mlt_lconst.char_type_A_cconst.char_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::lt&#40;const char_type&amp;&#44;const char_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#lt_lconst.char_type_A_cconst.char_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#80">Synopsis/PTree/Encoding.hh:80</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mmove_lchar_type_S_cconst.char_type_S_cstd_msize_t_r" /><h2 >Synopsis::PTree::Encoding::char_traits::move&#40;char_type*&#44;const char_type*&#44;std::size_t&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#85">Synopsis/PTree/Encoding.hh:85</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mnot_eof_lconst.int_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::not_eof&#40;const int_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#not_eof_lconst.int_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_moff_type" /><h2 >Typedef Synopsis::PTree::Encoding::char_traits::off_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#off_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#75">Synopsis/PTree/Encoding.hh:75</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mpos_type" /><h2 >Typedef Synopsis::PTree::Encoding::char_traits::pos_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#pos_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#74">Synopsis/PTree/Encoding.hh:74</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mstate_type" /><h2 >Typedef Synopsis::PTree::Encoding::char_traits::state_type</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#state_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#76">Synopsis/PTree/Encoding.hh:76</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mto_char_type_lconst.int_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::to_char_type&#40;const int_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_char_type_lconst.int_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#91">Synopsis/PTree/Encoding.hh:91</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mchar_traits_mto_int_type_lconst.char_type_A_r" /><h2 >Member function Synopsis::PTree::Encoding::char_traits::to_int_type&#40;const char_type&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#to_int_type_lconst.char_type_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#92">Synopsis/PTree/Encoding.hh:92</a>: in struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >Synopsis::PTree::Encoding::char_traits</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#95">Synopsis/PTree/Encoding.hh:95</a>: in member function <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html#not_eof_lconst.int_type_A_r" >Synopsis::PTree::Encoding::char_traits::not_eof&#40;const int_type&amp;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mclear_l_r" /><h2 >Member function Synopsis::PTree::Encoding::clear&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#clear_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#110">Synopsis/PTree/Encoding.hh:110</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mcomma" /><h2 >Data member Synopsis::PTree::Encoding::comma</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#comma" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mconst_t" /><h2 >Data member Synopsis::PTree::Encoding::const_t</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#const_t" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mcopy_l_rconst" /><h2 >Member function Synopsis::PTree::Encoding::copy&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#copy_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#120">Synopsis/PTree/Encoding.hh:120</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mcv_qualify_lconst.Node_S_cconst.Node_S_r" /><h2 >Member function Synopsis::PTree::Encoding::cv_qualify&#40;const Node*&#44;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#cv_qualify_lconst.Node_S_cconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#139">Synopsis/PTree/Encoding.hh:139</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding_mdelete_operator" /><h2 >Data member Synopsis::PTree::Encoding::delete_operator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html#delete_operator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#198">Synopsis/PTree/Encoding.hh:198</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
